## static-content

static-content —

## Synopsis

                FoStaticContent;
                FoStaticContentClass;
    FoFo*       fo_static_content_new           (void);
    FoProperty* fo_static_content_get_flow_name (FoFo *fo_fo);
    void        fo_static_content_set_flow_name (FoFo *fo_fo,
                                                 FoProperty *new_flow_name);

## Object Hierarchy

      GObject
       +----FoObject
             +----FoNode
                   +----FoFo
                         +----FoStaticContent

## Properties

      "flow-name"            FoProperty            : Read

## Description

## Details

### FoStaticContent

    typedef struct _FoStaticContent FoStaticContent;

Instance of the 'static-content' formatting object.

### FoStaticContentClass

    typedef struct _FoStaticContentClass FoStaticContentClass;

Class structure for the 'static-content' formatting object.

### fo_static_content_new ()

    FoFo*       fo_static_content_new           (void);

Creates a new FoStaticContent initialized to default value.

Returns : | the new FoStaticContent.

### fo_static_content_get_flow_name ()

    FoProperty* fo_static_content_get_flow_name (FoFo *fo_fo);

Gets the "flow-name" property of `fo_fo`.

`fo_fo` : | The `FoFo` object.
Returns : | The "flow-name" property value.

### fo_static_content_set_flow_name ()

    void        fo_static_content_set_flow_name (FoFo *fo_fo,
                                                 FoProperty *new_flow_name);

Sets the "flow-name" property of `fo_fo` to `new_flow_name`

`fo_fo` : | The FoFo object
`new_flow_name` : | The new "flow-name" property value

## Property Details

### The "`flow-name`" property

      "flow-name"            FoProperty            : Read

Flow Name property.